Subject: bug#29788: chown: recursive operation with "-H" flag does not work as documented

From: Paul Eggert <[email-masked]>
Date: Wed, 20 Dec 2017 13:52:17 -0800

On 12/20/2017 12:58 PM, Bernhard Voelker wrote:
> Thus, I think this not a bug in chmod or the documentation, but in the
> your expectations.

I think his expectations are what POSIX requires. For chown -H -R, POSIX 
says that if "a symbolic link referencing a file of type directory is 
specified on the command line, /chown/ shall change the user ID (and 
group ID, if specified) of the directory referenced by the symbolic link 
and all files in the file hierarchy below it." The clear implication in 
context is that -H should mean --dereference at the top level, and 
--no-dereference at lower levels. Which is pretty much what he was 
expecting.

http://pubs.opengroup.org/onlinepubs/9699919799/utilities/chown.html

Admittedly the POSIX spec is not that easy to understand here.